%define		modulename	pychm
Summary:	Python package to handle CHM files
Summary(pl.UTF-8):	Pakiet dla pythona do obsługi plików CHM
Name:		python-chm
Version:	0.8.4
Release:	6
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/gnochm/%{modulename}-%{version}.tar.gz
# Source0-md5:	ff7f0baf94290c44263a1618e7e6a116
URL:		http://gnochm.sourceforge.net/pychm.html
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	chmlib-devel
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Obsoletes:	pychm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The chm package provides three modules, chm, chmlib and extra, which
provide access to the API implemented by the C library chmlib and some
additional classes and functions. They are used to access MS-ITSS
encoded files - Compressed HTML Help files (.chm).

%description -l pl.UTF-8
Pakiet chm udostępnia trzy moduły - chm, chmlib i extra, które
udostępniają dostęp do API biblioteki chmlib oraz kilka dodatkowych
klas i funkcji. Są one wykorzystywane do dostępu zakodowanych w
MS-ITSS plików - skompresowanych plików pomocy HTML(.chm).

%prep
%setup -q -n %{modulename}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%dir %{py_sitedir}/chm
%attr(755,root,root) %{py_sitedir}/chm/*.so
%{py_sitedir}/chm/*.py[oc]
%{py_sitedir}/pychm-*.egg-info
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-chm.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 6fb2f0a
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> f43153c
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5518876
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1753707
- automatic change: use py_build/py_install macros

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 5a3addf
- x32 rebuild
- release 4 (by relup.sh)

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> a83764a
- BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 58e6833
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bfe10e
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 781af85
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6259a5c
- converted to UTF-8

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 06961cc
- fix duplicate %descriptions

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 7e4fe8a
- updated to 0.8.4
- package .egg-info (BR: python 2.5), don't package COPYING (just GPL)

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 3db3a41
- rel. 2 to rebuild with python 2.5 (final)

* Fri Aug 25 2006 wrobell <wrobell@pld-linux.org> ff17766
- ver. 0.8.3
- require python 2.5 to build

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 409ed77
- mass commit: remove obsolete BR: rpm-pythonprov

* Mon Feb 14 2005 paladine <paladine@pld-linux.org> f66bb11
- updated to 0.8.2
- proper license and url

* Thu Dec 23 2004 saq <saq@pld-linux.org> a5807ff
- release 2 for rebuild with python 2.4

* Mon Oct 25 2004 paladine <paladine@pld-linux.org> 63bb49a
- "HTML" and "Perl" unification

* Sat Aug 28 2004 undefine <undefine@pld-linux.org> c297e4b
- initital pld version based on built spec

